# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [0.8.1](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-element@0.8.0...@microsoft/fast-element@0.8.1) (2020-04-29)


### Bug Fixes

* removes circular dependencies from web-component packages ([#3037](https://github.com/Microsoft/fast-dna/issues/3037)) ([0f84942](https://github.com/Microsoft/fast-dna/commit/0f849429ca930bcea474e6e4f73f1f8e21248a0f))





# [0.8.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-element@0.7.0...@microsoft/fast-element@0.8.0) (2020-04-27)


### Bug Fixes

* **fast-element:** attr bindings preserved during upgrade ([#3010](https://github.com/Microsoft/fast-dna/issues/3010)) ([e9b14cc](https://github.com/Microsoft/fast-dna/commit/e9b14ccf70efa7eac4b055d7a34fc4e2d775fa0c))


### Features

* **fast-element:** add a render method to templates for pure templating ([#3018](https://github.com/Microsoft/fast-dna/issues/3018)) ([c4ac6b2](https://github.com/Microsoft/fast-dna/commit/c4ac6b2a20d67992d5d820e9ae56eb75db7e2e3a))





# [0.7.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-element@0.6.0...@microsoft/fast-element@0.7.0) (2020-04-22)


### Bug Fixes

* **fast-element:** remove unnecessary references ([#2966](https://github.com/Microsoft/fast-dna/issues/2966)) ([5b724c2](https://github.com/Microsoft/fast-dna/commit/5b724c21476a1abbc3c52b15bdb790565d43d60d))
* align Fast to FAST ([#2950](https://github.com/Microsoft/fast-dna/issues/2950)) ([94c8744](https://github.com/Microsoft/fast-dna/commit/94c874455eccbb8609715c7fa96095a226428813))


### Features

* **fast-element:** add functioning execution context ([#2935](https://github.com/Microsoft/fast-dna/issues/2935)) ([707d4e7](https://github.com/Microsoft/fast-dna/commit/707d4e7ef3b7bee5b77f4b63b1c71666bbb2bd02))
* **fast-element:** safe class binding ([#2957](https://github.com/Microsoft/fast-dna/issues/2957)) ([e06d73c](https://github.com/Microsoft/fast-dna/commit/e06d73cc2c819bd0683e24a6bd7631beac4a2390))





# [0.6.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-element@0.5.0...@microsoft/fast-element@0.6.0) (2020-04-10)


### Bug Fixes

* **fast-element:** always reflect latest value to attribute ([#2903](https://github.com/Microsoft/fast-dna/issues/2903)) ([48cca59](https://github.com/Microsoft/fast-dna/commit/48cca5923c571c4df697e3501cb879125d3a79eb))
* **fast-element:** batch attr reflect ([#2885](https://github.com/Microsoft/fast-dna/issues/2885)) ([e863752](https://github.com/Microsoft/fast-dna/commit/e8637528fa0ef162cbf166738bd4a2e519422efe))
* **fast-element:** ensure node exists when checking if it's a marker ([#2876](https://github.com/Microsoft/fast-dna/issues/2876)) ([ae656b8](https://github.com/Microsoft/fast-dna/commit/ae656b860c66557700ca1bbf1989fbd8ef7da689))
* **fast-element:** only use Range for batch disposal ([#2901](https://github.com/Microsoft/fast-dna/issues/2901)) ([7e5bf5c](https://github.com/Microsoft/fast-dna/commit/7e5bf5c438fcd53c44b096dc5b52d1449a3368fe))
* **fast-element:** preserve observable values from before upgrade ([#2889](https://github.com/Microsoft/fast-dna/issues/2889)) ([d84884a](https://github.com/Microsoft/fast-dna/commit/d84884afc8bf023b16dde47e81833026e8605018))


### Features

* **fast-element:** add directives for children and slotted references ([#2896](https://github.com/Microsoft/fast-dna/issues/2896)) ([5dc8911](https://github.com/Microsoft/fast-dna/commit/5dc8911868841425079123c7b5c48da937891362))
* **fast-element:** add multi property binding support ([#2911](https://github.com/Microsoft/fast-dna/issues/2911)) ([46049ea](https://github.com/Microsoft/fast-dna/commit/46049ea73f7b63452229746c6dda52e369bf1c8d))
* design system provider and recipe implementation ([#2860](https://github.com/Microsoft/fast-dna/issues/2860)) ([8c04e15](https://github.com/Microsoft/fast-dna/commit/8c04e15a3d1809210891643e97686635b36e5a0f))





# [0.5.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-element@0.4.0...@microsoft/fast-element@0.5.0) (2020-04-02)


### Features

* **fast-element:** add trusted types for HTML ([#2855](https://github.com/Microsoft/fast-dna/issues/2855)) ([69d44a2](https://github.com/Microsoft/fast-dna/commit/69d44a289ce6ca43a7f536edb600af61f453728f))





# [0.4.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-element@0.3.1...@microsoft/fast-element@0.4.0) (2020-03-30)


### Bug Fixes

* attribute bindings in fast components ([#2847](https://github.com/Microsoft/fast-dna/issues/2847)) ([0d25806](https://github.com/Microsoft/fast-dna/commit/0d25806360b987a3f3c3a69dc5dd005415f70795))
* **fast-element:** ensure host attributes have a target name ([#2846](https://github.com/Microsoft/fast-dna/issues/2846)) ([4bd99c9](https://github.com/Microsoft/fast-dna/commit/4bd99c91279d5abf642e73b10acf0459fc9035c8))


### Features

* **fast-element:** attribute/property binding revamp ([#2843](https://github.com/Microsoft/fast-dna/issues/2843)) ([ffe7a57](https://github.com/Microsoft/fast-dna/commit/ffe7a57a7978868d28f583de3a3b254904ba3db5))
* add progress web component ([#2828](https://github.com/Microsoft/fast-dna/issues/2828)) ([5f2be52](https://github.com/Microsoft/fast-dna/commit/5f2be52738396aa1985a49eac667bd6e397abfa7))





## [0.3.1](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-element@0.3.0...@microsoft/fast-element@0.3.1) (2020-03-25)


### Bug Fixes

* **fast-element:** add docs and ensure boolean attrs true when empty ([#2833](https://github.com/Microsoft/fast-dna/issues/2833)) ([4bf2c41](https://github.com/Microsoft/fast-dna/commit/4bf2c41efb4520152fe041fb3e67eaf31fbe8e66))





# [0.3.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-element@0.2.1...@microsoft/fast-element@0.3.0) (2020-03-25)


### Bug Fixes

* **fast-element:** type fixes, api docs, and one op order correction ([#2810](https://github.com/Microsoft/fast-dna/issues/2810)) ([0548e89](https://github.com/Microsoft/fast-dna/commit/0548e89b64d7081b0024434dd6bbaf5fb3ca8366))
* **view:** ensure first/last child correct after removing view ([#2819](https://github.com/Microsoft/fast-dna/issues/2819)) ([7d82ddc](https://github.com/Microsoft/fast-dna/commit/7d82ddc161fd519cb44db1ae6e0b7aa403b58806))


### Features

* **fast-element:** boolean attributes and type conversion ([#2829](https://github.com/Microsoft/fast-dna/issues/2829)) ([03f64cd](https://github.com/Microsoft/fast-dna/commit/03f64cd890e764fd72363993fae3724d9da647ff))


### Performance Improvements

* **fast-element:** optimize view removal and disposal ([#2806](https://github.com/Microsoft/fast-dna/issues/2806)) ([59cc3be](https://github.com/Microsoft/fast-dna/commit/59cc3becd5f188e6d6122f5dff2a8a163dc075dc))





## [0.2.1](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-element@0.2.0...@microsoft/fast-element@0.2.1) (2020-03-18)

**Note:** Version bump only for package @microsoft/fast-element





# [0.2.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-element@0.1.0...@microsoft/fast-element@0.2.0) (2020-03-13)


### Bug Fixes

* **fast-element:** undefined/null should remove the html attribute ([#2749](https://github.com/Microsoft/fast-dna/issues/2749)) ([82dbf74](https://github.com/Microsoft/fast-dna/commit/82dbf74))


### Features

* **fast-element:** attached behaviors ([#2784](https://github.com/Microsoft/fast-dna/issues/2784)) ([170eed7](https://github.com/Microsoft/fast-dna/commit/170eed7))
* **fast-element:** base shadow and element options on defaults ([#2782](https://github.com/Microsoft/fast-dna/issues/2782)) ([73fabda](https://github.com/Microsoft/fast-dna/commit/73fabda))
* **fast-element:** enable host instructions ([#2760](https://github.com/Microsoft/fast-dna/issues/2760)) ([8675585](https://github.com/Microsoft/fast-dna/commit/8675585))
* **fast-element:** streamline custom event emit ([#2777](https://github.com/Microsoft/fast-dna/issues/2777)) ([b3250ec](https://github.com/Microsoft/fast-dna/commit/b3250ec))
* export when from the root of fast-element ([#2739](https://github.com/Microsoft/fast-dna/issues/2739)) ([3e290d3](https://github.com/Microsoft/fast-dna/commit/3e290d3))
* **fast-element:** simpler element definition without decorators ([#2730](https://github.com/Microsoft/fast-dna/issues/2730)) ([d89e9ca](https://github.com/Microsoft/fast-dna/commit/d89e9ca))


### Performance Improvements

* **fast-element:** simplify expressions ([#2755](https://github.com/Microsoft/fast-dna/issues/2755)) ([e1c2bfa](https://github.com/Microsoft/fast-dna/commit/e1c2bfa))





# 0.1.0 (2020-02-28)


### Bug Fixes

* **fast-element:** prevent duplicate subscription and queuing ([#2678](https://github.com/Microsoft/fast-dna/issues/2678)) ([99a24d8](https://github.com/Microsoft/fast-dna/commit/99a24d8))


### Features

* **fast-element:** add initial source from prototype ([#2675](https://github.com/Microsoft/fast-dna/issues/2675)) ([f8c3226](https://github.com/Microsoft/fast-dna/commit/f8c3226))


### Performance Improvements

* **fast-element:** improve subscribe/unsubscribe by reducing alloc ([#2679](https://github.com/Microsoft/fast-dna/issues/2679)) ([1957c6f](https://github.com/Microsoft/fast-dna/commit/1957c6f))
* **fast-element:** improve synthetic view creation speed ([#2680](https://github.com/Microsoft/fast-dna/issues/2680)) ([2e2b549](https://github.com/Microsoft/fast-dna/commit/2e2b549))
* **fast-element:** new strategy for array observation and repeat ([#2684](https://github.com/Microsoft/fast-dna/issues/2684)) ([6f2f272](https://github.com/Microsoft/fast-dna/commit/6f2f272))
